## DESCRIPTION

This is a port of Jean-loup Gailly and Mark Adler famous data compression library for development on AmigaOS 3.x

## ABOUT

zlib is designed to be a free, general-purpose, legally unencumbered -- that is, not covered by any patents -- lossless data-compression library for use on virtually any computer hardware and operating system. The zlib data format is itself portable across platforms.

Unlike the LZW compression method used in Unix compress(1) and in the GIF image format, the compression method currently used in zlib essentially never expands the data. (LZW can double or triple the file size in extreme cases.) zlib's memory footprint is also independent of the input data and can be reduced, if necessary, at some cost in compression. A more precise, technical discussion of both points is available on another page.

zlib was written by Jean-loup Gailly (compression) and Mark Adler (decompression). Jean-loup is also the primary author/maintainer of gzip(1), the author of the comp.compression FAQ list and the former maintainer of Info-ZIP's Zip; Mark is also the author of gzip's and UnZip's main decompression routines and was the original author of Zip. Not surprisingly, the compression algorithm used in zlib is essentially the same as that in gzip and Zip, namely, the 'deflate' method that originated in PKWARE's PKZIP 2.x.

## USAGE

Included binaries were cross-compiled with an AmigaOS compatible GCC using the following configuration:
`CHOST=m68k-amigaos CFLAGS="-O3 -noixemul" ./configure`

Two binaries are supplied for testing: minigzip and example. Be sure to read the source code for minigzip before using it.

zlib is needed when building other applications. To use zlib with GCC either copy zlib.a to your library directory and use the switch -lz or compile the source yourself using the desired configuration. A partial list of over 500 applications using zlib is available from the zlib homepage:
http://zlib.net/apps.html

The data format used by the zlib library is described by RFCs (Request for Comments) 1950 to 1952 in the files http://tools.ietf.org/html/rfc1950 (zlib format), rfc1951 (deflate format) and rfc1952 (gzip format).
 
## SECURITY

Versions 1.1.4 (March 2002) and later eliminate an earlier potential security vulnerability, see details here. Any software that is linked against or derived from an earlier version of zlib should be upgraded immediately.

See details here: http://zlib.net/advisory-2002-03-11.txt

Any software that is linked against or derived from an earlier version of zlib should be upgraded immediately.

## LICENSE

      zlib.h -- interface of the 'zlib' general purpose compression library
      version 1.2.8, April 28th, 2013

      Copyright (C) 1995-2013 Jean-loup Gailly and Mark Adler

      This software is provided 'as-is', without any express or implied
      warranty.  In no event will the authors be held liable for any damages
      arising from the use of this software.

      Permission is granted to anyone to use this software for any purpose,
      including commercial applications, and to alter it and redistribute it
      freely, subject to the following restrictions:

      1. The origin of this software must not be misrepresented; you must not
	claim that you wrote the original software. If you use this software
	in a product, an acknowledgment in the product documentation would be
	appreciated but is not required.
      2. Altered source versions must be plainly marked as such, and must not be
	misrepresented as being the original software.
      3. This notice may not be removed or altered from any source distribution.

      Jean-loup Gailly        Mark Adler
      jloup@gzip.org          madler@alumni.caltech.edu

      Source: http://zlib.net/zlib_license.html

## SOURCE

Texts and source code is located at http://zlib.net/
